<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="993cb932-505b-4e1d-9f43-238c5bea35eb" name="Default" comment="">
      <change afterPath="$PROJECT_DIR$/../ak03hwtips/.idea/vcs.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../../02_document/ak03/hw03.pdf" beforeDir="false" afterPath="$PROJECT_DIR$/../../../02_document/ak03/hw03.pdf" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../ak03/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/../ak03/.idea/workspace.xml" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/out/" />
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FUSProjectUsageTrigger">
    <session id="630572583">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.closed" value="5" />
          <entry key="project.open.time.1" value="1" />
          <entry key="project.open.time.12" value="1" />
          <entry key="project.open.time.14" value="1" />
          <entry key="project.open.time.2" value="1" />
          <entry key="project.open.time.7" value="1" />
          <entry key="project.opened" value="5" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="java" value="31" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="JAVA" value="31" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="java" value="333" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="JAVA" value="333" />
        </counts>
      </usages-collector>
    </session>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/Homework_q14.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1615">
              <caret line="107" column="21" selection-start-line="98" selection-end-line="107" selection-end-column="21" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/Homework_q15.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="2128">
              <caret line="134" column="21" selection-start-line="112" selection-start-column="20" selection-end-line="134" selection-end-column="21" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/Homework_q16.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="285">
              <caret line="37" column="57" selection-start-line="37" selection-start-column="57" selection-end-line="37" selection-end-column="57" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/Homework_q13.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1387">
              <caret line="95" column="45" selection-start-line="95" selection-start-column="20" selection-end-line="95" selection-end-column="45" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/HomeworkAnswerPub.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="247">
              <caret line="32" selection-start-line="32" selection-end-line="32" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/Homework_q20.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="19">
              <caret line="34" column="57" selection-start-line="34" selection-start-column="57" selection-end-line="34" selection-end-column="57" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/Homework_q18.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="247">
              <caret line="35" column="57" selection-start-line="35" selection-start-column="57" selection-end-line="35" selection-end-column="57" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/Homework_q17.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="228">
              <caret line="34" column="57" selection-start-line="34" selection-start-column="57" selection-end-line="34" selection-end-column="57" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/SeekToListener.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="114">
              <caret line="25" column="63" selection-start-line="25" selection-start-column="63" selection-end-line="25" selection-end-column="63" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/Homework_q02.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="323">
              <caret line="40" column="26" selection-start-line="40" selection-start-column="26" selection-end-line="40" selection-end-column="26" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>Map</find>
      <find>Map&lt;String, Integer&gt;</find>
      <find>topic_RecordCount</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/../../.." />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/main/java/ak02/BasicConsumer_14.java" />
        <option value="$PROJECT_DIR$/src/main/java/ak02/Ak02Producer.java" />
        <option value="$PROJECT_DIR$/src/main/java/ak02/BasicProducer_02.java" />
        <option value="$PROJECT_DIR$/src/main/java/ak02/BasicConsumer_02.java" />
        <option value="$PROJECT_DIR$/src/main/java/ak02/BasicProducer_q02.java" />
        <option value="$PROJECT_DIR$/src/main/java/ak02/BasicConsumer_q13.java" />
        <option value="$PROJECT_DIR$/src/main/java/ak02/BasicConsumer_q15.java" />
        <option value="$PROJECT_DIR$/src/main/java/ak02/BasicConsumer_q14.java" />
        <option value="$PROJECT_DIR$/src/main/java/ak02/BasicConsumer_q16.java" />
        <option value="$PROJECT_DIR$/src/main/java/ak02/BasicConsumer_q17.java" />
        <option value="$PROJECT_DIR$/src/main/java/ak02/BasicConsumer_q19.java" />
        <option value="$PROJECT_DIR$/src/main/java/ak02/BasicConsumer_q20.java" />
        <option value="$PROJECT_DIR$/src/main/java/ak02/BasicConsumer_q18.java" />
        <option value="$PROJECT_DIR$/src/main/java/ak02/SeekToListener.java" />
        <option value="$PROJECT_DIR$/src/main/java/ak02/BasicConsumer_q02.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02/BasicConsumer_q02.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02/SeekToListener.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02/BasicConsumer.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02/BasicConsumer_q15.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02/BasicConsumer_q16.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02/BasicProducer.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02/BasicProducer_ak02_hw.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02/BasicConsumer_q13.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02/BasicConsumer_q14.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02/BasicConsumer_q17.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02/BasicConsumer_q18.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02/BasicConsumer_q19.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02/BasicConsumer_q20.java" />
        <option value="$PROJECT_DIR$/pom.xml" />
        <option value="$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/hw_q02.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/BasicConsumer_q16.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/BasicConsumer_q19.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/BasicConsumer_q20.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/BasicConsumer_q18.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/SeekToListener.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/Homework_q19.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/Homework_q02_pub.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/Homework_q02.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/Homework_q13.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/Homework_q14.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/Homework_q15.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/Homework_q16.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/Homework_q17.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/HomeworkAnswerPub.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/Homework_q18.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/Homework_q20.java" />
      </list>
    </option>
  </component>
  <component name="MavenImportPreferences">
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="importAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="MavenProjectNavigator">
    <treeState>
      <expand>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="ak02hw" type="9519ce18:MavenProjectsStructure$ProjectNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="ak02hw" type="9519ce18:MavenProjectsStructure$ProjectNode" />
          <item name="Lifecycle" type="58874e2:MavenProjectsStructure$LifecycleNode" />
        </path>
      </expand>
      <select />
    </treeState>
  </component>
  <component name="ProjectFrameBounds" fullScreen="true">
    <option name="width" value="1280" />
    <option name="height" value="800" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true">
    <ConfirmationsSetting value="2" id="Add" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="ak02hwtips" type="b2602c69:ProjectViewProjectNode" />
              <item name="ak02hwtips" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ak02hwtips" type="b2602c69:ProjectViewProjectNode" />
              <item name="ak02hwtips" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ak02hwtips" type="b2602c69:ProjectViewProjectNode" />
              <item name="ak02hwtips" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ak02hwtips" type="b2602c69:ProjectViewProjectNode" />
              <item name="ak02hwtips" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ak02hwtips" type="b2602c69:ProjectViewProjectNode" />
              <item name="ak02hwtips" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="ak02hw" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
      <pane id="PackagesPane" />
      <pane id="AndroidView" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1536914450667" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
  </component>
  <component name="RecentsManager">
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="org.streamgeeks.ak02hw" />
      <recent name="ak02" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\workspace\streamgeeks\03_workspace\hands-on\ak02hw\src\main\java\org\streamgeeks\ak02" />
      <recent name="C:\workspace\witlab04\03_workspace\hands-on\ak02hw\src\main\java" />
      <recent name="C:\workspace\witlab04\03_workspace\hands-on\ak02hw\src\main\resources" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Application.Homework_q20">
    <configuration name="HomeworkAnswerPub" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="org.streamgeeks.ak02hw.HomeworkAnswerPub" />
      <module name="ak02hw" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="org.streamgeeks.ak02hw.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Homework_q14" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="org.streamgeeks.ak02hw.Homework_q14" />
      <module name="ak02hw" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="org.streamgeeks.ak02hw.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Homework_q16" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="org.streamgeeks.ak02hw.Homework_q16" />
      <module name="ak02hw" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="org.streamgeeks.ak02hw.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Homework_q18" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="org.streamgeeks.ak02hw.Homework_q18" />
      <module name="ak02hw" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="org.streamgeeks.ak02hw.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Homework_q20" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="org.streamgeeks.ak02hw.Homework_q20" />
      <module name="ak02hw" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="org.streamgeeks.ak02hw.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="Application" factoryName="Application">
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="JUnit" factoryName="JUnit">
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="TestNG" factoryName="TestNG">
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <properties />
      <listeners />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="Application.Homework_q14" />
      <item itemvalue="Application.HomeworkAnswerPub" />
      <item itemvalue="Application.Homework_q18" />
      <item itemvalue="Application.Homework_q16" />
      <item itemvalue="Application.Homework_q20" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="Application.Homework_q20" />
        <item itemvalue="Application.Homework_q16" />
        <item itemvalue="Application.Homework_q18" />
        <item itemvalue="Application.HomeworkAnswerPub" />
        <item itemvalue="Application.Homework_q14" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="993cb932-505b-4e1d-9f43-238c5bea35eb" name="Default" comment="" />
      <created>1527740854276</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1527740854276</updated>
    </task>
    <servers />
  </component>
  <component name="ToolWindowManager">
    <frame x="0" y="0" width="1280" height="800" extended-state="0" />
    <editor active="true" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.20436187" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Image Layers" order="2" />
      <window_info id="Designer" order="3" />
      <window_info id="UI Designer" order="4" />
      <window_info id="Capture Tool" order="5" />
      <window_info id="Favorites" order="6" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.32987553" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.3958904" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.39966834" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Version Control" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Terminal" order="8" />
      <window_info anchor="bottom" id="Event Log" order="9" side_tool="true" />
      <window_info anchor="bottom" id="Messages" order="10" weight="0.3283582" />
      <window_info anchor="right" id="Commander" order="0" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="right" id="Capture Analysis" order="4" />
      <window_info anchor="right" id="Theme Preview" order="5" />
      <window_info anchor="right" id="Palette&#9;" order="6" />
      <window_info anchor="right" id="Maven Projects" order="7" weight="0.15938166" />
    </layout>
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/main/resources/log4j.properties">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/ak02/TestFaker.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/ak02/Ak02Producer.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/ak02/BasicProducer.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/ak02/BasicConsumer.java" />
    <entry file="jar://$MAVEN_REPOSITORY$/org/apache/kafka/kafka-clients/2.0.0/kafka-clients-2.0.0-sources.jar!/org/apache/kafka/clients/consumer/Consumer.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="259">
          <caret line="87" column="39" selection-start-line="87" selection-start-column="31" selection-end-line="87" selection-end-column="39" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/BasicProducer_ak02_hw.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/BasicConsumer.java" />
    <entry file="file://$PROJECT_DIR$/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="150">
          <caret line="10" column="16" selection-start-line="10" selection-start-column="16" selection-end-line="10" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/Homework_q02_pub.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="197">
          <caret line="24" column="55" selection-start-line="24" selection-start-column="55" selection-end-line="24" selection-end-column="55" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/Homework_q19.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="191">
          <caret line="35" column="46" selection-start-line="35" selection-start-column="46" selection-end-line="35" selection-end-column="46" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/Homework_q14.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1615">
          <caret line="107" column="21" selection-start-line="98" selection-end-line="107" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/Homework_q15.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2128">
          <caret line="134" column="21" selection-start-line="112" selection-start-column="20" selection-end-line="134" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/Homework_q16.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="285">
          <caret line="37" column="57" selection-start-line="37" selection-start-column="57" selection-end-line="37" selection-end-column="57" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/Homework_q13.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1387">
          <caret line="95" column="45" selection-start-line="95" selection-start-column="20" selection-end-line="95" selection-end-column="45" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/HomeworkAnswerPub.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="247">
          <caret line="32" selection-start-line="32" selection-end-line="32" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/Homework_q18.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="247">
          <caret line="35" column="57" selection-start-line="35" selection-start-column="57" selection-end-line="35" selection-end-column="57" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/Homework_q17.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="228">
          <caret line="34" column="57" selection-start-line="34" selection-start-column="57" selection-end-line="34" selection-end-column="57" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/SeekToListener.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="114">
          <caret line="25" column="63" selection-start-line="25" selection-start-column="63" selection-end-line="25" selection-end-column="63" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/Homework_q02.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="323">
          <caret line="40" column="26" selection-start-line="40" selection-start-column="26" selection-end-line="40" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/streamgeeks/ak02hw/Homework_q20.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="19">
          <caret line="34" column="57" selection-start-line="34" selection-start-column="57" selection-end-line="34" selection-end-column="57" />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>